/// <reference types="angular" />
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
import { IScope } from "angular";
import { ControllerBase } from "../controllers/base.controller";
import { InjectorService } from "../services/injector.service";
export declare abstract class ComponentBase extends ControllerBase implements angular.IComponentController {
    protected scope: IScope;
    protected injector: InjectorService;
    protected constructor(scope: IScope, injector: InjectorService);
}
