/// <reference types="angular" />
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
import { IScope, IController as AngularController, IOnChangesObject } from "angular";
export declare abstract class AngularControllerBase implements AngularController {
    protected scope: IScope;
    protected constructor(scope: IScope);
    $onInit(): void;
    $doCheck(): void;
    $onChanges(onChangesObj: IOnChangesObject): void;
    $onDestroy(): void;
    $postLink(): void;
    protected onInit(): void;
    protected doCheck(): void;
    protected onChanges(onChangesObj: IOnChangesObject): void;
    protected onDestroy(): void;
    protected postLink(): void;
}
