/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
import { IRegistrable } from "./registrable";
export declare function Controller(parameters: IController): <T>(constructor: {
    new (...args: any[]): T;
}) => void;
export interface IController extends IRegistrable {
    stateName?: string;
    stateUrl?: string;
    templateUrl?: string;
    template?: string;
    controller?: Function;
    controllerAs?: string;
    resolve?: Object;
}
