/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
import { IRegistrable } from "./registrable";
export declare function Service(parameters?: IService): <T>(constructor: {
    new (...args: any[]): T;
}) => void;
export interface IService extends IRegistrable {
    factory?: Function;
}
