"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var base_controller_1 = require("../controllers/base.controller");
var ComponentBase = /** @class */ (function (_super) {
    tslib_1.__extends(ComponentBase, _super);
    function ComponentBase(scope, injector) {
        var _this = _super.call(this, scope, injector) || this;
        _this.scope = scope;
        _this.injector = injector;
        return _this;
    }
    return ComponentBase;
}(base_controller_1.ControllerBase));
exports.ComponentBase = ComponentBase;
