/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
import { ModuleBase } from "./base.module";
export declare class FrameworkModule extends ModuleBase {
    private static internalInstance;
    static readonly instance: FrameworkModule;
    constructor();
    getModuleName(): string;
    protected register(): void;
    protected getModuleDependencies(): string[];
}
