/// <reference types="angular" />
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
import { ServiceBase } from "./base.service";
import { auto } from "angular";
export declare class InjectorService extends ServiceBase {
    private injector;
    constructor(injector: auto.IInjectorService);
    get<T>(service: string | {
        new (...args: any[]): T;
    }): T;
    static factory(injector: auto.IInjectorService): InjectorService;
}
