/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
export declare class ObjectSession {
    static save<T>(name: string, data: T): void;
    static restore<T>(name: string): T;
    static clear(name: string): void;
}
